Loading...
Searching...
No Matches
XrdPoll.hh File Reference
`#include <poll.h>`
`#include "XrdSys/XrdSysPthread.hh"`
Include dependency graph for XrdPoll.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | XrdPoll::PipeData
union | XrdPoll::PipeData.Parms
struct | XrdPoll::PipeData.Parms.Arg
class | XrdPoll

## Macros

#define | XRD_NUMPOLLERS 3

## Class Documentation

## XrdPoll::PipeData.Parms

union XrdPoll::PipeData.Parms

Definition at line 119 of file XrdPoll.hh.

Collaboration diagram for XrdPoll::PipeData.Parms:

Class Members
struct PipeData.Parms.Arg | Arg |
XrdSysSemaphore * | theSem |

## XrdPoll::PipeData.Parms.Arg

struct XrdPoll::PipeData.Parms.Arg

Definition at line 120 of file XrdPoll.hh.

Collaboration diagram for XrdPoll::PipeData.Parms.Arg:

Class Members
int | ent |
int | fd |

## Macro Definition Documentation

## XRD_NUMPOLLERS

#define XRD_NUMPOLLERS 3

Definition at line 35 of file XrdPoll.hh.

Referenced by XrdPoll::Attach(), XrdPoll::Setup(), and XrdPoll::Stats().